Bio::TreeIO::newick(3pm)

NAME
Bio::TreeIO::newick - parsing and writing of Newick/PHYLIP/New Hampshire format

SYNOPSIS
  # do not use this module directly
  use Bio::TreeIO;

  my $treeio = Bio::TreeIO->new(-format => 'newick',
                               -file => 't/data/LOAD_Ccd1.dnd');
  my $tree = $treeio->next_tree;

DESCRIPTION
This module handles parsing and writing of Newick/PHYLIP/New Hampshire format.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Jason Stajich
Email jason-at-bioperl-dot-org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
Title : new Args : -print_count => boolean default is false
           -bootstrap_style => set the bootstrap style (one of nobranchlength,
                        molphy, traditional)
           -order_by => set the order by sort method

See Bio::Node::Node::each_Descendent()

  next_tree
Title : next_tree Usage : my $tree = $treeio->next_tree Function: Gets the next tree in the stream Returns : Bio::Tree::TreeI Args : none

  write_tree
Title : write_tree Usage : $treeio->write_tree($tree); Function: Write a tree out to data stream in newick/phylip format Returns : none Args : Bio::Tree::TreeI object

  print_tree_count
Title : print_tree_count Usage : $obj->print_tree_count($newval) Function: Get/Set flag for printing out the tree count (paml,protml way) Returns : value of print_tree_count (a scalar) Args : on set, new value (a scalar or undef, optional)

  bootstrap_style
Title : bootstrap_style Usage : $obj->bootstrap_style($newval) Function: A description of how bootstraps and branch lengths are
           written, as the ID part of the internal node or else in []
           in the branch length (Molphy-like; I am sure there is a
           better name for this but am not sure where to go for some
           sort of format documentation)

           If no branch lengths are requested then no bootstraps are usually
           written (unless someone REALLY wants this functionality...)

           Can take on strings which contain the possible values of
           'nobranchlength'   --> don't draw any branch lengths - this
                                  is helpful if you don't want to have to
                                  go through and delete branch len on all nodes
           'molphy' --> draw bootstraps (100) like
                                  (A:0.11,B:0.22):0.33[100];
           'traditional' --> draw bootstraps (100) like
                                  (A:0.11,B:0.22)100:0.33;
Returns : value of bootstrap_style (a scalar)
Args    : on set, new value (a scalar or undef, optional)

  order_by
Title : order_by Usage : $obj->order_by($newval) Function: Allow node order to be specified (typically "alpha")
           See Bio::Node::Node::each_Descendent() Returns : value of order_by (a scalar) Args : on set, new value (a scalar or undef, optional)